Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class Generation

    java.lang.Object
      com.compoze.exchange.Generation

All Implemented Interfaces:
  java.io.Serializable

public class Generation
extends java.lang.Object
implements java.io.Serializable

This class implements a generation for a contact. A key is used to lookup the readable string from `exchange_resource.properties`.

See Also:
  Serialized Form

Field Summary
`static Generation` | `I` This value represents the 'I' generation.
`static Generation` | `II` This value represents the 'II' generation.
`static Generation` | `III` This value represents the 'III' generation.
`static Generation` | `JR` This value represents the 'Jr.' generation.
`static Generation` | `SR` This value represents the 'Sr.' generation.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static Generation` | `get(java.lang.String sGeneration)` Gets the generation.
`java.lang.String` | `getGeneration()` Gets the name in the default locale.
`java.lang.String` | `getGeneration(java.util.Locale locale)` Gets the name using the specified locale.
`static java.util.List` | `getList()` Gets a list of generations.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### I

    public static final Generation I

  This value represents the 'I' generation.

### II

    public static final Generation II

  This value represents the 'II' generation.

### III

    public static final Generation III

  This value represents the 'III' generation.

### JR

    public static final Generation JR

  This value represents the 'Jr.' generation.

### SR

    public static final Generation SR

  This value represents the 'Sr.' generation.

Method Detail

### getGeneration

    public java.lang.String getGeneration()

  Gets the name in the default locale.

  Returns:
    the name of the generation
  See Also:
    `getGeneration(Locale)`

### getGeneration

    public java.lang.String getGeneration(java.util.Locale locale)

  Gets the name using the specified locale.

  Parameters:
    `locale` - the locale
  Returns:
    the name of the generation

### get

    public static Generation get(java.lang.String sGeneration)

  Gets the generation.

  Parameters:
    `sGeneration` - the generation in the default locale
  Returns:
    the matching generation or `null` if not found

### getList

    public static java.util.List getList()

  Gets a list of generations.

  Returns:
    the list of `Generation`s (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. An object is considered equal if the generation string matches (case insensitive).

  Parameters:
    `o` - the object to check for equality
  Returns:
    `true` if this object is the same as the argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.